Bron pozitsiyalari
Bronlardagi tovar qatorlari: tovar, miqdor va u band qilingan narx.
| Metod | Manzil | Vazifasi |
|---|---|---|
| GET | /company/trade/hold-product | Bron pozitsiyalari ro‘yxati |
| GET | /company/trade/hold-product/{model} | Bron pozitsiyasi |
Bron pozitsiyalari ro‘yxati
GET
/company/trade/hold-productBron tovar qatorlari sahifalab va filtrlar bilan (masalan, hold_id bo‘yicha).
Sarlavhalar (headers)
| Sarlavha | Qiymat | Tavsif |
|---|---|---|
Authorization | Bearer {token} | POST /common/auth/login dan olingan token |
Accept | application/json | Javob JSON da |
Accept-Language | ru | Xabarlar va nomlar tili: ru, uz, oz |
So‘rov parametrlari
| Parametr | Tavsif |
|---|---|
filter[id] | ID — aniq qiymat |
filter[hold_id] | aniq qiymat |
filter[product_id] | Mahsulot — aniq qiymat |
filter[bundle_id] | Komplekt — aniq qiymat |
sort[] | Saralash, - — kamayish bo‘yicha: id, -id |
with[] | Bog‘liq ma’lumotlarni qo‘shish: product, product.parent, product.category.ancestors, product.brand, product.unit, bundle, bundle.items.product.unit |
page | Sahifa raqami, 1 dan |
page-size | Sahifadagi yozuvlar soni, ko‘pi bilan 300 |
http
GET /company/trade/hold-product?filter[id]=1&filter[hold_id]=1&filter[product_id]=1Javob · 200
Sahifalangan javob: yozuvlar data[] ichida, sahifalash links va meta da.
Javob maydonlari
| Maydon | Turi | Tavsif |
|---|---|---|
data | object[] | Ma'lumotlar |
data[].id | integer | ID |
data[].company_id | integer | Kompaniya |
data[].hold_id | integer | |
data[].product_id | integer | Mahsulot |
data[].bundle_id | null | Komplekt |
data[].bundle_key | null | |
data[].price | integer | Narxi |
data[].quantity | integer | Miqdori |
data[].stock_product_source_data | object | |
data[].stock_product_source_data.source_type | string | Manba |
data[].stock_product_source_data.source_id | integer | Manba |
data[].stock_product_source_data.source_product_id | integer | |
data[].stock_product_source_data.quantity | integer | Miqdori |
data[].stock_product_source_data.purchase_price | integer | Sotib olish narxi |
data[].stock_product_source_data.purchase_currency | string | Sotib olayotganda valyuta |
data[].stock_product_source_data.created_at | string | Yaratilgan |
data[].created_at | string | Yaratilgan |
data[].updated_at | string | Yangilangan |
json
{
"data": [
{
"id": 1,
"company_id": 1,
"hold_id": 1,
"product_id": 1,
"bundle_id": null,
"bundle_key": null,
"price": 1000,
"quantity": 1,
"stock_product_source_data": {
"source_type": "purchase",
"source_id": 1,
"source_product_id": 1,
"quantity": 1,
"purchase_price": 1000,
"purchase_currency": "uzs",
"created_at": "2026-09-30 12:47:59"
},
"created_at": "2026-09-30 12:47:59",
"updated_at": "2026-09-30 12:47:59"
}
],
"links": {
"first": "https://api.wasyt.uz/company/trade/hold-product?page=1",
"last": "https://api.wasyt.uz/company/trade/hold-product?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [],
"path": "https://api.wasyt.uz/company/trade/hold-product",
"per_page": 300,
"to": 1,
"total": 1
}
}Bron pozitsiyasi
GET
/company/trade/hold-product/{model}Bronning bitta qatori: tovar, miqdor va band qilish narxi.
Sarlavhalar (headers)
| Sarlavha | Qiymat | Tavsif |
|---|---|---|
Authorization | Bearer {token} | POST /common/auth/login dan olingan token |
Accept | application/json | Javob JSON da |
Accept-Language | ru | Xabarlar va nomlar tili: ru, uz, oz |
Yo‘l parametrlari
| Parametr | Tavsif |
|---|---|
model | Yozuv ID si |
Javob · 200
Javob maydonlari
| Maydon | Turi | Tavsif |
|---|---|---|
id | integer | ID |
company_id | integer | Kompaniya |
hold_id | integer | |
product_id | integer | Mahsulot |
bundle_id | null | Komplekt |
bundle_key | null | |
price | integer | Narxi |
quantity | integer | Miqdori |
stock_product_source_data | object | |
stock_product_source_data.source_type | string | Manba |
stock_product_source_data.source_id | integer | Manba |
stock_product_source_data.source_product_id | integer | |
stock_product_source_data.quantity | integer | Miqdori |
stock_product_source_data.purchase_price | integer | Sotib olish narxi |
stock_product_source_data.purchase_currency | string | Sotib olayotganda valyuta |
stock_product_source_data.created_at | string | Yaratilgan |
created_at | string | Yaratilgan |
updated_at | string | Yangilangan |
json
{
"id": 1,
"company_id": 1,
"hold_id": 1,
"product_id": 1,
"bundle_id": null,
"bundle_key": null,
"price": 1000,
"quantity": 1,
"stock_product_source_data": {
"source_type": "purchase",
"source_id": 1,
"source_product_id": 1,
"quantity": 1,
"purchase_price": 1000,
"purchase_currency": "uzs",
"created_at": "2026-09-30 12:47:59"
},
"created_at": "2026-09-30 12:47:59",
"updated_at": "2026-09-30 12:47:59"
}
